Subject: Re: bug#73455: 30.0.91: find buffer pretty print columns don't line up on 1080p

From: Eli Zaretskii <[email-masked]>
Date: Wed, 25 Sep 2024 20:46:10 +0300

> From: Stefan Kangas <[email-masked]>
> Date: Wed, 25 Sep 2024 10:24:32 -0700
> Cc: [email-masked]
> 
> Eli Zaretskii <[email-masked]> writes:
> 
> > If you set the value of find-program to "gfind", I think you should be
> > able to add only /usr/pkg/bin to PATH, and that should not override
> > the original "find", "make", etc.
> 
> Would it be worth considering doing the same as we did for
> `insert-directory-program`, i.e. the below?  I'm not sure if this would
> be considered too opinionated for people that are very used to a BSD
> userland.

I'm not sure.  find-program is used in many places, most of them
unrelated to alignment in "find ... -ls", so we are basically skewing
everything for a single not very frequent case.  Why not leave that to
users instead?